2011-06-12  Sebastien Pouliot  <sebastien@xamarin.com>

	Fix namespace and avoid looping once ctor is found

2011-06-09  Sebastien Pouliot  <sebastien@xamarin.com>

	Refactor MonoMac's MarkNSObjects substep so it can be reused in
	other products

2011-06-04  Jb Evain  <jbevain@gmail.com>

	update tuner

2011-06-02  Jb Evain  <jbevain@gmail.com>

	update tuner

2010-10-20  Jb Evain  <jbevain@gmail.com>

	Fix tuner build

2010-10-05  Jb Evain  <jbevain@gmail.com>

	Update the tuner to cecil-light

2009-11-03  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/CheckVisibility.cs: detect a throw_on_visibility_error
	linker parameter to decide whether or not throw when an error
	have been encountered.

2009-11-02  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/MoonlightAssemblyStep.cs: adapt to the MT linker merge.

2009-10-14  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (CECIL, LINKER): Point to profile-specific assembly.

2009-09-16  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Sort the
	  descriptors wrt type name, to avoid false negatives at
	  MoonAtkBridge build time.

2009-09-16  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Speed up by
	  two orders of magnitude, thanks to caching XPathNavigator
	  objects and calling Directory.GetFiles() just once.

	* Mono.Tuner/MoonlightA11yApiMarker.cs: Fix typo in comment.

2009-09-10  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yApiMarker.cs: Don't mark attributes
	  of non-a11y assemblies.

2009-09-09  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Rather use
	  the OutputDirectory provided on the command line, and
	  redirect some progress info or errors to the console.

	* Mono.Tuner/MoonlightA11yUsageInspectionStep.cs: Remove
	  unnecessary step.

2009-09-09  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner.csproj:
	* Mono.Tuner.dll.sources: Add new step MoonlightA11yApiMarker.

	* Mono.Tuner/MoonlightA11yApiMarker.cs:
	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Use a new
	  marker step to only mark API used, not mark recursively.

	* Mono.Tuner/MoonlightA11yUsageInspectionStep.cs: Use the new
	  marker step.

	* Makefile: Adding reference to System, as we need it for
	  System.Text.RegularExpressions.

2009-08-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yProcessor.cs: Don't whitelist SC
	  attribs for base methods that are on our assembly.
	This finally makes a11y work without security disabled. The
	  summary of the troubles encountered:
	- GetHashCode() -> base method not SC. (r139589+r139649)
	- Dispose() -> interface method not SC. (r139796)
	- get_Handle() -> interface method SC while impl not SC.
	(r139852)

2009-08-12  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yProcessor.cs: Look for base methods
	  in interfaces as well.

2009-08-11  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Yet another
	  blacklisted element (SW.dll is not linked).

2009-08-11  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Blacklist
	  more stuff.

2009-08-11  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Blacklist
	  our bridge.

2009-08-10  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yProcessor.cs: Move FIXME to a better
	  place. Fix NRE.

2009-08-07  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yProcessor.cs: Don't use var.
	Remove debug spew.

2009-08-07  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/InjectSecurityAttributes.cs: Make an enum
	  and a method protected.

	* Mono.Tuner/MoonlightA11yProcessor.cs: Prevent
	  Type*Exceptions because of badly placed SC attrib on
	  methods.

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Typo in
	  comment.

2009-07-02  Jb Evain  <jbevain@novell.com>

	* Makefile: fix cecil's location.

2009-06-16  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yProcessor.cs: GLibSharp uses
	  Activator.CreateInstance for *Adapter classes, so we need to
	  have an exception here for these ctors (to avoid
	  MissingMethodExceptions).

2009-06-10  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Cosmetic.

	* Mono.Tuner/MoonlightA11yAssemblyStep.cs: Typo.

2009-06-09  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: Cosmetic.

2009-06-09  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner.csproj:
	* Mono.Tuner.dll.sources: Update.

	* Mono.Tuner/MoonlightA11yProcessor.cs:
	* Mono.Tuner/MoonlightA11yAssemblyStep.cs: Typo.

	* Mono.Tuner/MoonlightA11yUsageInspectionStep.cs:
	* Mono.Tuner/MoonlightA11yDescriptorGenerator.cs: New steps
	  for prevention of API stripping.

2009-06-04  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner.dll.sources:
	* Mono.Tuner.csproj: Update.
	* Mono.Tuner/InjectSecurityAttributes.cs:
	* Mono.Tuner/MoonlightAssemblyStep.cs: Change some accessibility
	keywords, to be able to override and inherit.
	* Mono.Tuner/MoonlightA11yProcessor.cs:
	* Mono.Tuner/MoonlightA11yAssemblyStep.cs: New steps for a11y.

2009-06-02  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner.csproj: Update.

	* Mono.Tuner/InjectSecurityAttributes.cs: Avoid NRE.

2009-05-28  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/InjectSecurityAttributes.cs: show a warning if using
	the MoonlightAssemblyStep but no secattr option is specified.

2009-05-15  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/InjectSecurityAttributes.cs: fix retrieval
	of generic methods.

2009-05-15  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/InjectSecurityAttributes.cs: fix issues
	with non unique MethodReference.ToString for generic method defs.

2009-04-24  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner.dll.sources: adjusted
	* Mono.Tuner/FilterAttributes.cs: new step to remove some known
	undesirable custom attributes.

2009-04-23  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/CheckVisibility.cs: check deep nested types.

2009-04-22  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/CheckVisibility.cs: take InternalsVisibleTo into account.

2009-04-22  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/CheckVisibility.cs: take FamAndAssem into account.

2009-04-22  Jb Evain  <jbevain@novell.com>

	* AdjustVisibility.cs: we're now turning non exposed fields and
	methods (API wise) that are `protected` into `protected and internal`.

2009-04-08  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner.csproj: Update.

2009-04-03  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Mono.Tuner/InjectSecurityAttributes.cs: Show a warning
	when the secattr file is not found.

2009-03-10  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/MoonlightAssemblyStep.cs: don't remove
	the LoadReferencesStep for specific Moonlight tuning.

2009-03-01  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner.dll.sources
	* Mono.Tuner/MoonlightAssemblyStep.cs: add new step specific
	to moonlight to instrument Moonlight assemblies one by one.

2009-02-19  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/InjectSecurityAttributes.cs: also remove existing
	CAS security declarations before injecting CoreCLR security attributes.

2009-02-18  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/InjectSecurityAttributes.cs: new tuner step
	which is able to process the security attribute data files.
	It replaces the previous InjectAttributes step.

2009-01-28  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/CheckVisibility.cs: use the appropriate Resolve methods.

2008-12-01  Jb Evain  <jbevain@novell.com>

	* Makefile: move tuning logic inside ../moon. We now simply build
	the tuner as a simple library.

2008-11-20  Jb Evain  <jbevain@novell.com>

	* Makefile: simplify Makefile and tune System.Xml.Linq.

2008-10-16  Jb Evain  <jbevain@novell.com>

	* masterinfos/silverlight/*.info: update to SL2.

2008-09-23  Jb Evain  <jbevain@novell.com>

	* masterinfos/silverlight/Mono.CompilerServices.SymbolWriter.info
	* Makefile:
		tune the SymbolWriter as well.

2008-09-23  Jb Evain  <jbevain@novell.com>

	* Makefile: only execute the check visibility step if
	CHECK_VISIBILITY is defined.

2008-09-18  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/AdjustVisibility.cs: correctly process public nested types.

2008-09-12  Jb Evain  <jbevain@novell.com>

	* Makefile: tune System.ServiceModel.Web.

2008-09-12  Jb Evain  <jbevain@novell.com>

	* Makefile: tune System.ServiceModel.dll

2008-09-12  Jb Evain  <jbevain@novell.com>

	* Makefile: make the linker generate new guids for the tuned
	assemblies.

2008-09-09  Jb Evain  <jbevain@novell.com>

	* Makefile: tune System.Runtime.Serialization as well.

2008-08-05  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/CheckVisibility.cs: properly verify famorassem.

2008-06-10  Jb Evain  <jbevain@novell.com>

	* masterinfos/silverlight/System.Net.info
	* masterinfos/silverlight/mscorlib.info
	* masterinfos/silverlight/System.Xml.info
	* masterinfos/silverlight/System.info:
		Update to SL2B2 API.

2008-04-13  Jb Evain  <jbevain@novell.com>

	* masterinfos/silverlight/*.info: 2.0 api.
	* Makefile: update.
	Merged from the Moonlight 2 branch.

Thu Mar 13 22:32:24 CET 2008 Paolo Molaro <lupus@ximian.com>

	* Makefile: strong name the tuned assemblies.

2008-03-13  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/AdjustVisibility.cs: don't adjust enums.

2008-02-18  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (inst-%, gac-%): Fix dependencies.

2008-02-17  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile: Improve.  Update to new net_2_1 profiles.  Specify
	more dependencies.  Do work only when necessary.
	* Descriptors/smcs.xml: Add CompilerCallableEntryPoint.

2008-02-01  Jb Evain  <jbevain@novell.com>

	* Makefile: remove System.Core temporary hack.

2008-02-01  Jb Evain  <jbevain@novell.com>

	* Makefile, Descriptors/System.Core.xml:
	protect some internals of System.Core as apparently
	the masterinfos are somewhat wrong.

2007-10-26  Jb Evain  <jbevain@novell.com>

	* Makefile: disable the `always build the tuner` as per
	Paolo's suggestion. Need to use the build mecanism from now.

2007-10-26  Jb Evain  <jbevain@novell.com>

	* Makefile: activate the InjectAttributes step.

2007-10-25  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/InjectAttributes.cs: inject security attributes
	defined in the public api.

2007-10-25  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/InjectAttributes.cs: infrastructure for
	the attribute injector.

2007-10-25  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/PrintStatus.cs: print which items
	have been internalized if the parameter `display_internalized`
	is set to true.

	* Makefile: define parameter `display_internalized` and set it
	to false. Set it explicitely to true if you want a detailed log
	about which metadata items have been internalized.

2007-10-25  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/TunerAnnotations.cs
	* Mono.Tuner/AdjustVisibility.cs:
		Annotate the items that have been internalized
		for later use.

	* Makefile: always rebuild Mono.Tuner.dll for now.

2007-09-04  Jb Evain  <jbevain@novell.com>

	* masterinfos/*.info added, so we don't have to download them.
	* Makefile: use directly the .info files from the repo.

2007-08-28  Jb Evain  <jbevain@novell.com>

	* Makefile: mdb support.

2007-08-21  Jb Evain  <jbevain@novell.com>

	* Makefile: tune on `all`, and only re-installed the tuned
	assemblies on `install`.

2007-08-16  Jb Evain  <jbevain@novell.com>

	* Makefile: re-install in the GAC the tuned assemblies.

2007-08-13  Jb Evain  <jbevain@novell.com>

	* Makefile: tune on net_2_1 install.

2007-08-11  Jb Evain  <jbevain@novell.com>

	* Descriptors/System.xml, Makefile: add a descriptor
	to protect some classes in System.

2007-08-05  Jb Evain  <jbevain@novell.com>

	* Descriptors/smcs.xml, Makefile: add a descriptor
	to protect some classes in smcs.

2007-08-03  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : a bit win32 friendly fix.

2007-08-01  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/CheckVisibilit.cs:
		New debugging step to ensure that the even after
		API tuning the visibility is correct.

2007-07-27  Jb Evain  <jbevain@novell.com>

	* Mono.Tuner/RemoveSerialization.cs:
		Add a new linker step to remove automatically everything
		serialization related.

2007-07-18  Jb Evain  <jbevain@novell.com>

	* tuner: new tool to tune the Mono assemblies from a full 2.1
	profile to a stripped down silverlight compatible assembly set.
